
Katello - Refactor #6394

Manifest refresh needs to be completely converted dynflow

06/25/2014 08:22 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee:    

Category: Orchestration   

Target version: Katello 2.0   

Branch:  Pull request: https://github.com/Katello/katello/pull/435

6

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

The initial action of manifest refresh is a dynflow process, however, inside of app/models/katello/glue/provider.rb there are functions

that still call the old orchestration methods.

Associated revisions

Revision 194ef29c - 07/07/2014 07:18 AM - Eric Helms

Fixes #6394: Manifest refresh use proxy.

Revision 275ad26c - 07/31/2014 08:47 PM - Eric Helms

Merge pull request #4356 from ehelms/fixes-6293

Fixes #6394: Update manifest refresh to use proxy if configured.

History

#1 - 07/07/2014 09:37 AM - Eric Helms

- Target version deleted (48)

#2 - 07/29/2014 10:44 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4356 added

#3 - 07/31/2014 09:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|194ef29c44dc7903e9addd2f070b2454392edd01.

#4 - 08/22/2014 08:59 AM - Eric Helms

- translation missing: en.field_release set to 13
